﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DataError
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            bindingSource1.DataSource = new Employee().EmployeeList();
            
            this.ultraGrid1.DisplayLayout.Override.RowSelectorHeaderStyle = RowSelectorHeaderStyle.ColumnChooserButton;
            this.ultraGrid1.DisplayLayout.Override.RowSelectors = DefaultableBoolean.True;
            ultraGrid1.DisplayLayout.Override.SupportDataErrorInfo = SupportDataErrorInfo.RowsOnly;
                   

        }

        private void Form1_Load(object sender, EventArgs e)
        {

            bindingSource1.DataSource = new Employee().EmployeeList().ToList();
            ultraGrid1.DataSource = bindingSource1;
   
        }

        private void ultraGrid2_AfterRowUpdate(object sender, RowEventArgs e)
        {
           
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Override.SupportDataErrorInfo = SupportDataErrorInfo.RowsOnly;
            e.Layout.Bands[1].Override.SupportDataErrorInfo = SupportDataErrorInfo.CellsOnly;
        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            
        }

        private void ultraGrid1_AfterRowUpdate(object sender, RowEventArgs e)
        {
        }

        private void ultraGrid1_AfterCellUpdate(object sender, CellEventArgs e)
        {
            ultraGrid1.Refresh();
        }

        
    }
}
